Bug 90879 - (SOUND CMPCI)no sound cm8738 soundcard
(SOUND CMPCI)no sound cm8738 soundcard
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-14 18:54 EDT by superkeny
Modified: 2007-04-18 12:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description superkeny 2003-05-14 18:54:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; es-ES; rv:1.2.1) Gecko/20030225

Description of problem:
On my redhat9-system, redhat-config-soundcard will detect my soundcard. It is
well configured and ready to use. No errors, no warnings....but the sound just
wont work!!
The modules cmpci and soundcore are correctly working, loading them manually
with modprobe does not give any error.
The driver is the one provided by CMedia.... 
when trying to play a file with the command play, you will have to stop it with
ctrl-c or it will stay forever without bringing a sound or giving any output.
Also having modules ac97.o or ac97_codec loaded or unloaded the results will be
the same. This "conflict" causes sometimes the system to hang.

Version-Release number of selected component (if applicable):
no sound for cm8738 soundcard

How reproducible:
Sometimes

Steps to Reproduce:
1.Always- you will never get any sound :(
2.This one is courious.My system reezes when trying to play a sound(for example
with 'play'), but only if my system just booted(if its the first  command i type)

    

Expected Results:  I should have sound

Additional info:

cat /proc/pci gives this output(i'll post only the part concerning the soundcard):

Bus 1, device 10, function 0:
Multimedia audio controller: C-Media Electronics Inc CM8738 (rev 16).
IRQ 5.
Master Capable. Latency=32. Min Gnt=2.Max Lat=24.
I/O at 0xc800 [0xc8ff].

lspci -v gives a very similar output with of course the same values.

/etc/modules.conf looks like this:

alias sound-slot-0 cmpci
post-install sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null 2>&1
|| :
pre-remove sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -S >/dev/null 2>&1 || :

Commenting out the last 2 lines with aumix-minimal does not solve the problem

dmesg | grep cmpci gives the following:

cmpci: version $Revision: 5.64 $ time 18:40:44 May 8 2003
cmpci: found CM8738 adapter at io 0xc800 irq 5
cmpci: chip version = 037
cmpci: Enable SPDIF loop

I should mention that using the latest kernel provided in rpm by redhat or
compiling a new one (2.4.20) does not solve the problem :'(
Comment 1 Alan Cox 2003-06-05 11:57:50 EDT
If you build one with SPDIF Loop disabled is it happier ?
Comment 2 attma 2004-01-05 20:45:04 EST
I have the exact same problem: my onboard CM8738 sound detected but NO
sound at all. I can play with aumix but no sound no matter what
settings I use.
Please any help would be appreciated. 
Comment 3 Alan Cox 2004-01-05 20:51:31 EST
Newer 8378 requires the newer driver thats in 2.4.23 (I think it went
in there or 2.4.22). I dont know if anyone plans to import it into RH9
or if its in Fedora off hand but DaveJ may
Comment 4 Bugzilla owner 2004-09-30 11:40:55 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.